Bug 265704

Summary: Configurable Font Sizes
Product: telepathy Reporter: David Edmundson <kde>
Component: text-uiAssignee: Telepathy Bugs <kde-telepathy-bugs>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: 0.4.0   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In:

Description David Edmundson 2011-02-07 17:08:36 UTC
Version:           unspecified
OS:                Linux

Configurable font sizes doesn't work.

Reproducible: Didn't try




It doesn't work because no-ones actually incorporated the code to do it. I have a draft branch from domme to do this.
Comment 1 David Edmundson 2011-03-22 15:14:04 UTC
Empathy does this via changing webkit's default settings. I thought Adium did it via a section called %extraStyleHtml% but I need to confirm this.

If we go about this the Adium way, we can simply call

(in AdiumThemeView)
webPage()->settings()->setFontFamily();
webPage()->settings()->setFontSize();
Comment 2 David Edmundson 2011-03-26 04:06:18 UTC
If we can't do it the method above and have to inject CSS copy styleHTML code from Kopete kopete/chatwindow/chatmessagepart.cpp (676-703)

Also freinhard if you worked on this, could you mark this as assigned so we don't have two people doing coding.
Comment 3 Florian Reinhard 2011-04-01 20:02:41 UTC
Git commit b2c3b1de5c62c2f60caeea4660d057d72ba98283 by Florian Reinhard.
Committed on 31/03/2011 at 00:12.
Pushed by reinhard into branch 'master'.

Make font family and size configureable.

REVIEW: 100979
BUG: 265704

M  +133  -68   config/chatwindowconfig.ui     
M  +33   -0    config/main-window.cpp     
M  +3    -0    config/main-window.h     
M  +61   -0    lib/adium-theme-view.cpp     
M  +9    -1    lib/adium-theme-view.h     
M  +14   -0    lib/chat-window-style.cpp     
M  +2    -0    lib/chat-window-style.h     

http://commits.kde.org/telepathy-chat-handler/b2c3b1de5c62c2f60caeea4660d057d72ba98283